Skip to main content
GET
/
environment
/
{environmentId}
/
deploymentRule
Get environment deployment rule
curl --request GET \
  --url https://api.qovery.com/environment/{environmentId}/deploymentRule \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "timezone": "UTC",
  "start_time": "1970-01-01T08:00:00.000Z",
  "stop_time": "1970-01-01T19:00:00.000Z",
  "weekdays": [
    "MONDAY"
  ],
  "updated_at": "2023-11-07T05:31:56Z",
  "on_demand_preview": false,
  "auto_preview": false,
  "auto_stop": false
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Response

Get deployment rule

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
timezone
string
required
Example:

"UTC"

start_time
string<date-time>
required
Example:

"1970-01-01T08:00:00.000Z"

stop_time
string<date-time>
required
Example:

"1970-01-01T19:00:00.000Z"

weekdays
enum<string>[]
required
Available options:
MONDAY,
TUESDAY,
WEDNESDAY,
THURSDAY,
FRIDAY,
SATURDAY,
SUNDAY
updated_at
string<date-time>
read-only
on_demand_preview
boolean
default:false
auto_preview
boolean
default:false
auto_stop
boolean
default:false